[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <20220207065541.232685-4-shinichiro.kawasaki@wdc.com>
Date: Mon, 7 Feb 2022 15:55:37 +0900
From: Shin'ichiro Kawasaki <shinichiro.kawasaki@....com>
To: fstests@...r.kernel.org, linux-btrfs@...r.kernel.org
Cc: linux-xfs@...r.kernel.org, linux-ext4@...r.kernel.org,
Naohiro Aota <naohiro.aota@....com>,
Johannes Thumshirn <johannes.thumshirn@....com>,
Damien Le Moal <damien.lemoal@...nsource.wdc.com>,
Shin'ichiro Kawasaki <shinichiro.kawasaki@....com>
Subject: [PATCH 3/7] ext4/021: check _scratch_mkfs_sized return code
The test cases ext4/021 calls _scratch_mkfs before _scratch_mkfs_sized,
and does not check return code of _scratch_mkfs_sized. Even if
_scratch_mkfs_sized failed, _scratch_mount after it cannot detect the
sized mkfs failure because _scratch_mkfs already created a file system
on the device. This results in unexpected test condition.
To avoid the unexpected test condition, check return code of
_scratch_mkfs_sized.
Suggested-by: Naohiro Aota <naohiro.aota@....com>
Signed-off-by: Shin'ichiro Kawasaki <shinichiro.kawasaki@....com>
---
tests/ext4/021 | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tests/ext4/021 b/tests/ext4/021
index 62768c60..a9277abf 100755
--- a/tests/ext4/021
+++ b/tests/ext4/021
@@ -24,7 +24,7 @@ _scratch_unmount
# With 4k block size, this amounts to 10M FS instance.
fssize=$((2560 * $blocksize))
-_scratch_mkfs_sized $fssize >> $seqres.full 2>&1
+_scratch_mkfs_sized $fssize >> $seqres.full 2>&1 || _fail "mkfs failed"
_require_metadata_journaling $SCRATCH_DEV
offset=0
--
2.34.1
Powered by blists - more mailing lists